#!/usr/bin/tclsh

proc xtrakeys {} {
	xtrakeys
}

set ps3 {~.ps3}
label .lab -text "In order for the .ps3keys and scetool to work correctly you will need
to add a few things to the two different forlders. 
PLEASE MAKE SURE YOU HAVE ALREADY RUN THE INSTALL FOR THE .ps3keys 
AND COMMAND LINE TOOLS!"
label .lab0 -text "For scetool the structure needs to look like:
==> Setup <==
/data/keys : Keyfile.
/data/ldr_curves : Loader curves (7744 bytes).
/data/vsh_curves : VSH curves (360 bytes).
/data/idps : IDPS as binary file
/data/act.dat : act.dat
/rifs/* : *.rif files
/raps/* : *.rap files"
label .lab1 -text "For the .ps3keys folder the structure is like this.
==> Setup <==
~/.ps3/keys : Keyfile.
~/.ps3/idps : IDPS as binary file
~/.ps3/exdata/act.dat : act.dat
~/.ps3/exdata/* : *.rif files
~/.ps3/exdata/* : *.rap files"
label .lab2 -text "The files you need to add are the IDPS, act.dat, and whatever .rif and .rap files you have. The Keyfile,
loader curves and VSH curves are already included."
label .lab3 -text "I have included the getIDPS.pkg to retrive your IDPS from the ps3 just click the button and select
where you want to copy the .pkg to then transfer and run it on your ps3. To get your exdata folder, which contains your 
act.dat and .rap and .rif files, you will need to FTP it or use multiman\'s file manager from \"home/000000XX/exdata\" 
to a location of your choice"
button .idps -text "getIDPS.pkg" -command {set e [tk_chooseDirectory -initialdir ~/.ps3] 
exec cp -frv tools/get_idps.pkg $e}
label .lab4 -text "Click the appropriate button to add what you need.  It will add the files to both sets of tools. "
button .sce -text "Add IDPS" -command {set a [tk_getOpenFile] 
		exec cp -frv $a data/
		tk_messageBox -message "\"idps installed for use with scetool\"   The next window is a terminal window to copy your idps into the proper folder. Since the folder is a system folder it will take your password to complete the operation. Just drag the idps file into the window press enter and type your password when prompted." -type ok
		exec open -a Terminal.app scripts/install-idps-to-ps3-keys.command
		}
button .sce0 -text "Add act.dat" -command {set b [tk_getOpenFile] 
		exec cp -frv $b data/
		tk_messageBox -message "\"act.dat installed for use with scetool\"   The next window is a terminal window to copy your act.dat into the proper folder. Since the folder is a system folder it will take your password to complete the operation. Just drag the idps file into the window press enter and type your password when prompted." -type ok
		exec tk_chooseDirectory -initialdir ~/.ps3
		}
button .sce1 -text "Add raps" -command {tk_messageBox -message "You can select multiple .rap files when doing this operation" -type ok
		set c [tk_getOpenFile -multiple true] 
		exec cp -frv $c raps/
		tk_messageBox -message "\"raps are installed for use with scetool\"   The next window is a terminal window to copy your .raps into the proper folder. Since the folder is a system folder it will take your password to complete the operation. Just drag the idps file into the window press enter and type your password when prompted." -type ok
		exec open -a Terminal.app scripts/install-rap-to-ps3-keys.command
		}
button .sce2 -text "Add rifs" -command {tk_messageBox -message "You can select multiple .rif files when doing this operation" -type ok
		set d [tk_getOpenFile -multiple true] 
		exec cp -frv $d rifs/
		tk_messageBox -message "\"rifs are installed for use with scetool\"   The next window is a terminal window to copy your .rifs into the proper folder. Since the folder is a system folder it will take your password to complete the operation. Just drag the idps file into the window press enter and type your password when prompted." -type ok
		exec open -a Terminal.app scripts/install-rif-to-ps3-keys.command
		}
wm geometry . 765x655+920+340


grid .lab  -row 0 -column 0 -columnspan 2
grid .lab0 -row 4 -column 0 -columnspan 2
grid .lab1 -row 13 -column 0 -columnspan 2
grid .lab2 -row 14 -column 0 
grid .lab3 -row 15 -column 0
grid .lab4 -row 16 -column 0
grid .idps -row 17 -column 0 -sticky we
grid .sce -row 19 -column 0 -sticky we
grid .sce0 -row 20 -column 0 -sticky ew
grid .sce1 -row 21 -column 0 -sticky we
grid .sce2 -row 22 -column 0 -sticky ew

